

.create-playlist{
    display: flex;
    align-items: center;
    cursor: pointer;
    margin: 10px 0;


    &:hover{
        background-color: rgb(34, 27, 46);
    }

    .create-playlist-icon{
        display: flex;
        color: #e30ea7c5;
    }
}
     




.modal-add-playlist{
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 350px;
    background-color: #34224F;
    padding: 20px 30px 30px 30px;
    z-index: 1;
    text-align: center;
    border-radius: 5px;

    &:focus-visible{
        outline: none;
    }


    .field-add-playlist{
        margin: 15px 0;
        border-radius: 30px;
        background-color: #483860;
        height: 40px;
        padding-bottom: 30px;


        &:hover {
            border-color: 'transparent', // Remove hover border
          }

        ::placeholder{
            color: #fff;
            
        }
        
        fieldset.MuiOutlinedInput-notchedOutline.css-1d3z3hw-MuiOutlinedInput-notchedOutline{
            display: none;
      
    }
    

    .css-1t8l2tu-MuiInputBase-input-MuiOutlinedInput-input{
        color: #fff;
        padding: 10px;
    }

      
    }

    .block-close-playlist{
        text-align: right;

    .close-model-playlist{
        color: #fff;
        cursor: pointer;        
    }
}


    .btn-create-playlist{
        background-color: #9B4DE0;
        color: #fff;
        border-color: #9B4DE0;
        border-radius: 30px;

        &.drop{
            cursor: no-drop;
            background-color: #673798;
            color: #8871A2;
            border-color: #00000020;
            border-radius: 30px;
        }
    }
}




///////





.like-list-all{

.song-list-like{
    width: 100%;
margin: 10px 0;


    img{
    border-radius: 10px;
    }
}


.song-title{
    margin-left: 10px;
}

.song-name{
    cursor: pointer;
    color: #fff;
    &:hover{
        color: #c273ed;
    }
}

.song-detail{
    color: #ffffff82;
}

.active-btn-category{
    background-color: #c273ed;
    &:hover {
        background-color: #c273ed;  // Giữ màu nền khi hover vào nút đang active
    }
}


.category-btn{
    color: #fff;
    border-color:#fff ;
}


.change-option {
    display: flex;
    gap: 10px;

 
    button{
        width: 80px;
        height: 25px;
        font-size: 8px;
        border-radius: 30px;
        margin: 15px 0;
        color: #fff;
        border-color: #fff;
        transition: none;
        
        &:hover{
            border-color: #fff;
        }

        &.hilight{
            background-color: #c273ed;
        }
    }
  }



  
.song-like-item{
    display: flex;
    justify-content: space-between;
    font-size: 10px;
    padding: 10px;
    border-radius: 10px;

    &.active-background-like{
        background-color: rgb(34, 27, 46);
    }

    &:hover{
        background-color: rgb(34, 27, 46);
    }
 

    &:hover .track-active-option{
        visibility:visible;
    }



    .song-like-info{
        display: flex;

    .song-like-img{
        position: relative;


    &:hover{
        background-color: rgb(55, 49, 65);
        border-radius: 10px;
        border:none
    }

    &:hover .icon{
        visibility:visible;
    }


.icon{
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    background-color: #00000031;
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    visibility:hidden;
    cursor: pointer;

    img{
        width: 40px;
        height: 40px;
        display: block;
        border-radius: 20px;
        padding: 5px;
    }

    &.show-equalizer {
        visibility: visible;
      }

      .icon-play-track{
        font-size: 30px;
        border-radius: 30px;
      }
    }
}
        
    }


}
}


////////








.playlist-block{
    color: #fff;


    .playlist-all-item{
        display: flex;
        gap: 30px;
        flex-wrap: wrap;
    }

    
    .playlist-name{
        display: flex;
        align-items: center;
        gap: 10px;
    }

    .icon-add-playlist{
        background-color: #ffffff2a;
        border-radius: 30px;
        cursor: pointer;
    }

    .user-create-playlist{
        color: #ffffff70;
    }


  .playlist-track-block-img{

    .playlist-track-img{
        position: relative;
        height: 250px;
        width: 250px;
        cursor: pointer;
        overflow: hidden;
        margin-bottom: 15px;
        border-radius: 10px;

    .playlist-represent-img{
        transition: all 0.7s ;
    }

    &:hover .playlist-represent-img{
        transform: scale(1.1);
        filter: brightness(0.5);
    }

    &:hover .icon{
        visibility:visible;
    }



    .song-img{
        position: relative;
    } 
    
    .icon{
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        background-color: #0000007a;
        width: 15%;
        height: 15%;
        display: flex;
        justify-content: center;
        align-items: center;
        visibility:hidden;
        border-radius: 20px;
        z-index: 0;

        img{
            width: 40px;
            height: 40px;
            display: block;
            border: 1px solid #fff;
            border-radius: 20px;
            padding: 5px;
        }

        &.show-equalizer {
            visibility: visible;
          }

          .icon-play-track{
            font-size: 40px;
            border:1px solid #fff;
            border-radius: 30px;
          }

          .operation-playlist{
            display: flex;
            gap: 30px;
            align-items: center;
            z-index: 100;
            .img-run{
                filter: brightness(1);
            }
          }
          
 }


   }
   
}
}